Security Lab

PHP-инклюдинг в php Download Manager

Дата публикации:25.02.2008
Всего просмотров:1320
Опасность:
Высокая
Наличие исправления: Нет
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: php Download Manager 1.x
Уязвимые версии: php Download Manager 1.1, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "content" в сценарии include/body.inc.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

URL производителя: linuxwebshop.com/scripts.php

Решение: Способов устранения уязвимости не существует в настоящее время.